<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFrameworks>net5.0;netcoreapp3.1</TargetFrameworks>
		<RootNamespace>DKX.DbalTests</RootNamespace>
		<Nullable>enable</Nullable>
		<IsPackable>false</IsPackable>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Data.SQLite" Version="5.0.0" />
		<PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.8.0" />
		<PackageReference Include="Moq" Version="4.15.2" />
		<PackageReference Include="Npgsql" Version="5.0.0" />
		<PackageReference Include="System.Linq.Async" Version="5.0.0" />
		<PackageReference Include="xunit" Version="2.4.1" />
		<PackageReference Include="xunit.runner.visualstudio" Version="2.4.3">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="coverlet.collector" Version="1.3.0">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\..\src\Dbal.Npgsql\Dbal.Npgsql.csproj" />
	  <ProjectReference Include="..\..\src\Dbal\Dbal.csproj" />
	</ItemGroup>

</Project>
